POST /v1/app-gateway/{appId}/workflows/{workflowId}/run
Trigger a run for a deep-agent app's workflow

Path Parameters

appId string required path
Deep-agent run id (app id)
workflowId string required path
Workflow id

Request Body

application/json

Responses

200 OK
application/json
appId string
runId string
workflowId string
403 Forbidden
curl -X POST 'https://api.example.com/v1/app-gateway/string/workflows/string/run' \  -H 'Authorization: Bearer YOUR_API_TOKEN' \  -H 'Content-Type: application/json' \  -d '{}'
const response = await fetch('https://api.example.com/v1/app-gateway/string/workflows/string/run', {  method: 'POST',  headers: {      "Authorization": "Bearer YOUR_API_TOKEN",      "Content-Type": "application/json"  },  body: JSON.stringify({})});const data = await response.json();console.log(data);
import requestsheaders = {    'Authorization': 'Bearer YOUR_API_TOKEN'}response = requests.post('https://api.example.com/v1/app-gateway/string/workflows/string/run', headers=headers, json={})print(response.json())
package mainimport (	"fmt"	"io"	"net/http"	"strings")func main() {	body := strings.NewReader(`{}`)	req, _ := http.NewRequest("POST", "https://api.example.com/v1/app-gateway/string/workflows/string/run", body)	req.Header.Set("Authorization", "Bearer YOUR_API_TOKEN")	req.Header.Set("Content-Type", "application/json")	resp, _ := http.DefaultClient.Do(req)	defer resp.Body.Close()	result, _ := io.ReadAll(resp.Body)	fmt.Println(string(result))}
200 Response
{  "appId": "<string>",  "runId": "<string>",  "workflowId": "<string>"}